Sada je: 20 lip 2021, 10:57.
Razmjena savjeta i trikova o podešavanju sustava i programa.

Moderator/ica: Moderatori/ce

Bok ljudi, eto opet mene sa "nesvakidašnjim" jadikovkama. Prije nekoliko tjedana sam se bacio u Python i, u svrhu malko lakseg zivota, instalirao sam i Spyder. Ne znam tocno kad se greska u sustavu pojavila jer sam radio update sustava barem dva-tri puta, no Spyder se nije pokretao.

Nakon pokusaja otvaranja u terminalu, moj Manjaro je "ispljunuo" ovo:
Kod: Označi sve
[yorkin@yorkin-t450 ~]$ spyder
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (decorator 5.0.7 (/usr/lib/python3.9/site-packages), Requirement.parse('decorator<5'), {'spyder-kernels'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/spyder", line 33, in <module>
    sys.exit(load_entry_point('spyder==5.0.0', 'gui_scripts', 'spyder')())
  File "/usr/bin/spyder", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/spyder/app/start.py", line 34, in <module>
    from spyder.utils.external import lockfile
  File "/usr/lib/python3.9/site-packages/spyder/utils/external/lockfile.py", line 31, in <module>
    from spyder.utils.programs import is_spyder_process
  File "/usr/lib/python3.9/site-packages/spyder/utils/programs.py", line 29, in <module>
    import pkg_resources
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'decorator<5' distribution was not found and is required by spyder-kernels


Kao sto vidite, greska je malo preduga da bih ju ukucao Google. :-D
Molim vas za pomoc. Hvala.
In their respective beginnings, Linux, Olympics and Esperanto had one thing in common - good will.
Avatar
Postovi: 165
Postovi: 165
Pridružen/a: 23 tra 2012, 00:15
Lokacija: "Karlovac"
Podijelio/la zahvalu: 22 puta
Primio/la zahvalu: 1 puta
Spol: M
OS: Arch & Solus Mate
Samo da javim, nasao sam rjesenje. Downgrade na python-decorator 4 je rijesilo problem.
In their respective beginnings, Linux, Olympics and Esperanto had one thing in common - good will.
Avatar
Postovi: 165
Postovi: 165
Pridružen/a: 23 tra 2012, 00:15
Lokacija: "Karlovac"
Podijelio/la zahvalu: 22 puta
Primio/la zahvalu: 1 puta
Spol: M
OS: Arch & Solus Mate

Na mreži
Trenutno korisnika/ca: / i 2 gostiju.